com.beaglebuddy.id3.enums

## Enum Language

- java.lang.Object
- - java.lang.Enum<Language>
  - - com.beaglebuddy.id3.enums.Language

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Language>

      public enum Language
      extends java.lang.Enum<Language>

  ISO-639-2 language codes and names. I have found contradictory listings for the ISO 639-2 language codes. For example, the ISO-639-2 language codes listed at this website differs from the previous one.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AAR` Afar
    `ABK` Abkhazian
    `ACE` Achinese
    `ACH` Acoli
    `ADA` Adangme
    `ADY` Adyghe; Adygei
    `AFA` Afro-Asiatic languages
    `AFH` Afrihili
    `AFR` Afrikaans
    `AIN` Ainu
    `AKA` Akan
    `AKK` Akkadian
    `ALB` Albanian
    `ALE` Aleut
    `ALG` Algonquian languages
    `ALT` Southern Altai
    `AMH` Amharic
    `ANG` English, Old (ca.450-1100)
    `ANP` Angika
    `APA` Apache languages
    `ARA` Arabic
    `ARC` Official Aramaic (700-300 BCE Imperial Aramaic (700-300 BCE)
    `ARG` Aragonese
    `ARM` Armenian
    `ARN` Mapudungun; Mapuche
    `ARP` Arapaho
    `ART` Artificial languages
    `ARW` Arawak
    `ASM` Assamese
    `AST` Asturian; Bable; Leonese; Asturleonese
    `ATH` Athapascan languages
    `AUS` Australian languages
    `AVA` Avaric
    `AVE` Avestan
    `AWA` Awadhi
    `AYM` Aymara
    `AZE` Azerbaijani
    `BAD` Banda languages
    `BAI` Bamileke languages
    `BAK` Bashkir
    `BAL` Baluchi
    `BAM` Bambara
    `BAN` Balinese
    `BAQ` Basque
    `BAS` Basa
    `BAT` Baltic languages
    `BEJ` Beja; Bedawiyet
    `BEL` Belarusian
    `BEM` Bemba
    `BEN` Bengali
    `BER` Berber languages
    `BHO` Bhojpuri
    `BIH` Bihari languages
    `BIK` Bikol
    `BIN` Bini; Edo
    `BIS` Bislama
    `BLA` Siksika
    `BNT` Bantu languages
    `BOD` Tibetan
    `BOS` Bosnian
    `BRA` Braj
    `BRE` Breton
    `BTK` Batak languages
    `BUA` Buriat
    `BUG` Buginese
    `BUL` Bulgarian
    `BUR` Burmese
    `BYN` Blin; Bilin
    `CAD` Caddo
    `CAI` Central American Indian languages
    `CAR` Galibi Carib
    `CAT` Catalan; Valencian
    `CAU` Caucasian languages
    `CEB` Cebuano
    `CEL` Celtic languages
    `CES` Czech
    `CHA` Chamorro
    `CHB` Chibcha
    `CHE` Chechen
    `CHG` Chagatai
    `CHI` Chinese
    `CHK` Chuukese
    `CHM` Mari
    `CHN` Chinook jargon
    `CHO` Choctaw
    `CHP` Chipewyan; Dene Suline
    `CHR` Cherokee
    `CHU` Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic
    `CHV` Chuvash
    `CHY` Cheyenne
    `CMC` Chamic languages
    `COP` Coptic
    `COR` Cornish
    `COS` Corsican
    `CPE` Creoles and pidgins, English based
    `CPF` Creoles and pidgins, French-based
    `CPP` Creoles and pidgins, Portuguese-based
    `CRE` Cree
    `CRH` Crimean Tatar; Crimean Turkish
    `CRP` Creoles and pidgins
    `CSB` Kashubian
    `CUS` Cushitic languages
    `CYM` Welsh
    `CZE` Czech
    `DAK` Dakota
    `DAN` Danish
    `DAR` Dargwa
    `DAY` Land Dayak languages
    `DEL` Delaware
    `DEN` Slave (Athapascan)
    `DEU` German
    `DGR` Dogrib
    `DIN` Dinka
    `DIV` Divehi; Dhivehi; Maldivian
    `DOI` Dogri
    `DRA` Dravidian languages
    `DSB` Lower Sorbian
    `DUA` Duala
    `DUM` Dutch, Middle (ca.1050-1350)
    `DUT` Dutch; Flemish
    `DYU` Dyula
    `DZO` Dzongkha
    `EFI` Efik
    `EGY` Egyptian (Ancient)
    `EKA` Ekajuk
    `ELL` Greek, Modern (1453-)
    `ELX` Elamite
    `ENG` English
    `ENM` English, Middle (1100-1500)
    `EPO` Esperanto
    `ESL` Spanish - obsolete
    `EST` Estonian
    `EUS` Basque
    `EWE` Ewe
    `EWO` Ewondo
    `FAN` Fang
    `FAO` Faroese
    `FAS` Persian
    `FAT` Fanti
    `FIJ` Fijian
    `FIL` Filipino; Pilipino
    `FIN` Finnish
    `FIU` Finno-Ugrian languages
    `FON` Fon
    `FRA` French
    `FRE` French
    `FRM` French, Middle (ca.1400-1600)
    `FRO` French, Old (842-ca.1400)
    `FRR` Northern Frisian
    `FRS` Eastern Frisian
    `FRY` Western Frisian
    `FUL` Fulah
    `FUR` Friulian
    `GAA` Ga
    `GAY` Gayo
    `GBA` Gbaya
    `GEM` Germanic languages
    `GEO` Georgian
    `GER` German
    `GEZ` Geez
    `GIL` Gilbertese
    `GLA` Gaelic; Scottish Gaelic
    `GLE` Irish
    `GLG` Galician
    `GLV` Manx
    `GMH` German, Middle High (ca.1050-1500)
    `GOH` German, Old High (ca.750-1050)
    `GON` Gondi
    `GOR` Gorontalo
    `GOT` Gothic
    `GRB` Grebo
    `GRC` Greek, Ancient (to 1453)
    `GRE` Greek, Modern (1453-)
    `GRN` Guarani
    `GSW` Swiss German; Alemannic; Alsatian
    `GUJ` Gujarati
    `GWI` Gwich'in
    `HAI` Haida
    `HAT` Haitian; Haitian Creole
    `HAU` Hausa
    `HAW` Hawaiian
    `HEB` Hebrew
    `HER` Herero
    `HIL` Hiligaynon
    `HIM` Himachali languages; Western Pahari languages
    `HIN` Hindi
    `HIT` Hittite
    `HMN` Hmong; Mong
    `HMO` Hiri Motu
    `HRV` Croatian
    `HSB` Upper Sorbian
    `HUN` Hungarian
    `HUP` Hupa
    `HYE` Armenian
    `IBA` Iban
    `IBO` Igbo
    `ICE` Icelandic
    `IDO` Ido
    `III` Sichuan Yi; Nuosu
    `IJO` Ijo languages
    `IKU` Inuktitut
    `ILE` Interlingue; Occidental
    `ILO` Iloko
    `INA` Interlingua (International Auxiliary Language Association)
    `INC` Indic languages
    `IND` Indonesian
    `INE` Indo-European languages
    `INH` Ingush
    `IPK` Inupiaq
    `IRA` Iranian languages
    `IRO` Iroquoian languages
    `ISL` Icelandic
    `ITA` Italian
    `JAV` Javanese
    `JBO` Lojban
    `JPN` Japanese
    `JPR` Judeo-Persian
    `JRB` Judeo-Arabic
    `KAA` Kara-Kalpak
    `KAB` Kabyle
    `KAC` Kachin; Jingpho
    `KAL` Kalaallisut; Greenlandic
    `KAM` Kamba
    `KAN` Kannada
    `KAR` Karen languages
    `KAS` Kashmiri
    `KAT` Georgian
    `KAU` Kanuri
    `KAW` Kawi
    `KAZ` Kazakh
    `KBD` Kabardian
    `KHA` Khasi
    `KHI` Khoisan languages
    `KHM` Central Khmer
    `KHO` Khotanese; Sakan
    `KIK` Kikuyu; Gikuyu
    `KIN` Kinyarwanda
    `KIR` Kirghiz; Kyrgyz
    `KMB` Kimbundu
    `KOK` Konkani
    `KOM` Komi
    `KON` Kongo
    `KOR` Korean
    `KOS` Kosraean
    `KPE` Kpelle
    `KRC` Karachay-Balkar
    `KRL` Karelian
    `KRO` Kru languages
    `KRU` Kurukh
    `KUA` Kuanyama; Kwanyama
    `KUM` Kumyk
    `KUR` Kurdish
    `KUT` Kutenai
    `LAD` Ladino
    `LAH` Lahnda
    `LAM` Lamba
    `LAO` Lao
    `LAT` Latin
    `LAV` Latvian
    `LEZ` Lezghian
    `LIM` Limburgan; Limburger; Limburgish
    `LIN` Lingala
    `LIT` Lithuanian
    `LOL` Mongo
    `LOZ` Lozi
    `LTZ` Luxembourgish; Letzeburgesch
    `LUA` Luba-Lulua
    `LUB` Luba-Katanga
    `LUG` Ganda
    `LUI` Luiseno
    `LUN` Lunda lunda
    `LUO` Luo (Kenya and Tanzania)
    `LUS` Lushai
    `MAC` Macedonian
    `MAD` Madurese
    `MAG` Magahi
    `MAH` Marshallese
    `MAI` Maithili
    `MAK` Makasar
    `MAL` Malayalam
    `MAN` Mandingo
    `MAO` Maori
    `MAP` Austronesian languages
    `MAR` Marathi
    `MAS` Masai
    `MAY` Malay
    `MDF` Moksha
    `MDR` Mandar
    `MEN` Mende
    `MGA` Irish, Middle (900-1200)
    `MIC` Mi'kmaq; Micmac
    `MIN` Minangkabau
    `MIS` Uncoded languages
    `MKD` Macedonian
    `MKH` Mon-Khmer languages
    `MLG` Malagasy
    `MLT` Maltese
    `MNC` Manchu
    `MNI` Manipuri
    `MNO` Manobo languages
    `MOH` Mohawk
    `MON` Mongolian
    `MOS` Mossi
    `MRI` Maori
    `MSA` Malay
    `MUL` Multiple languages
    `MUN` Munda languages
    `MUS` Creek
    `MWL` Mirandese
    `MWR` Marwari
    `MYA` Burmese
    `MYN` Mayan languages
    `MYV` Erzya
    `NAH` Nahuatl languages
    `NAI` North American Indian languages
    `NAP` Neapolitan
    `NAU` Nauru
    `NAV` Navajo; Navaho
    `NBL` Ndebele, South; South Ndebele
    `NDE` Ndebele, North; North Ndebele
    `NDO` Ndonga
    `NDS` Low German; Low Saxon; German, Low; Saxon, Low
    `NEP` Nepali
    `NEW` Nepal Bhasa; Newari
    `NIA` Nias
    `NIC` Niger-Kordofanian languages
    `NIU` Niuean
    `NLD` Dutch; Flemish
    `NNO` Norwegian Nynorsk; Nynorsk, Norwegian
    `NOB` Bokmål, Norwegian; Norwegian Bokmål
    `NOG` Nogai
    `NON` Norse, Old
    `NOR` Norwegian
    `NQO` N'Ko
    `NSO` Pedi; Sepedi; Northern Sotho
    `NUB` Nubian languages
    `NWC` Classical Newari; Old Newari; Classical Nepal Bhasa
    `NYA` Chichewa; Chewa; Nyanja
    `NYM` Nyamwezi
    `NYN` Nyankole
    `NYO` Nyoro
    `NZI` Nzima
    `OCI` Occitan (post 1500)
    `OJI` Ojibwa
    `ORI` Oriya
    `ORM` Oromo
    `OSA` Osage
    `OSS` Ossetian; Ossetic
    `OTA` Turkish, Ottoman (1500-1928)
    `OTO` Otomian languages
    `PAA` Papuan languages
    `PAG` Pangasinan
    `PAL` Pahlavi
    `PAM` Pampanga; Kapampangan
    `PAN` Panjabi; Punjabi
    `PAP` Papiamento
    `PAU` Palauan
    `PEO` Persian, Old (ca.600-400 B.C.)
    `PER` Persian
    `PHI` Philippine languages
    `PHN` Phoenician
    `PLI` Pali
    `POL` Polish
    `PON` Pohnpeian
    `POR` Portuguese
    `PRA` Prakrit languages
    `PRO` Provençal, Old (to 1500Occitan, Old (to 1500)
    `PUS` Pushto; Pashto
    `QUE` Quechua
    `RAJ` Rajasthani
    `RAP` Rapanui
    `RAR` Rarotongan; Cook Islands Maori
    `ROA` Romance languages
    `ROH` Romansh
    `ROM` Romany
    `RON` Romanian; Moldavian; Moldovan
    `RUM` Romanian; Moldavian; Moldovan
    `RUN` Rundi
    `RUP` Aromanian; Arumanian; Macedo-Romanian
    `RUS` Russian
    `SAD` Sandawe
    `SAG` Sango
    `SAH` Yakut
    `SAI` South American Indian languages
    `SAL` Salishan languages
    `SAM` Samaritan Aramaic
    `SAN` Sanskrit
    `SAS` Sasak
    `SAT` Santali
    `SCN` Sicilian
    `SCO` Scots
    `SEL` Selkup
    `SEM` Semitic languages
    `SGA` Irish, Old (to 900)
    `SGN` Sign Languages
    `SHN` Shan
    `SID` Sidamo
    `SIN` Sinhala; Sinhalese
    `SIO` Siouan languages
    `SIT` Sino-Tibetan languages
    `SLA` Slavic languages
    `SLK` Slovak
    `SLO` Slovak
    `SLV` Slovenian
    `SMA` Southern Sami
    `SME` Northern Sami
    `SMI` Sami languages
    `SMJ` Lule Sami
    `SMN` Inari Sami
    `SMO` Samoan
    `SMS` Skolt Sami
    `SNA` Shona
    `SND` Sindhi
    `SNK` Soninke
    `SOG` Sogdian
    `SOM` Somali
    `SON` Songhai languages
    `SOT` Sotho, Southern
    `SPA` Spanish; Castilian
    `SQI` Albanian
    `SRD` Sardinian
    `SRN` Sranan Tongo
    `SRP` Serbian
    `SRR` Serer
    `SSA` Nilo-Saharan languages
    `SSW` Swati
    `SUK` Sukuma
    `SUN` Sundanese
    `SUS` Susu
    `SUX` Sumerian
    `SWA` Swahili
    `SWE` Swedish
    `SYC` Classical Syriac
    `SYR` Syriac
    `TAH` Tahitian
    `TAI` Tai languages
    `TAM` Tamil
    `TAT` Tatar
    `TEL` Telugu
    `TEM` Timne
    `TER` Tereno
    `TET` Tetum
    `TGK` Tajik
    `TGL` Tagalog
    `THA` Thai
    `TIB` Tibetan
    `TIG` Tigre
    `TIR` Tigrinya
    `TIV` Tiv
    `TKL` Tokelau
    `TLH` Klingon; tlhIngan-Hol
    `TLI` Tlingit
    `TMH` Tamashek
    `TOG` Tonga (Nyasa)
    `TON` Tonga (Tonga Islands)
    `TPI` Tok Pisin
    `TSI` Tsimshian
    `TSN` Tswana
    `TSO` Tsonga
    `TUK` Turkmen
    `TUM` Tumbuka
    `TUP` Tupi languages
    `TUR` Turkish
    `TUT` Altaic languages
    `TVL` Tuvalu
    `TWI` Twi
    `TYV` Tuvinian
    `UDM` Udmurt
    `UGA` Ugaritic
    `UIG` Uighur; Uyghur
    `UKR` Ukrainian
    `UMB` Umbundu
    `UND` Undetermined
    `URD` Urdu
    `UZB` Uzbek
    `VAI` Vai
    `VEN` Venda
    `VIE` Vietnamese
    `VOL` Volapük
    `VOT` Votic
    `WAK` Wakashan languages
    `WAL` Wolaitta; Wolaytta
    `WAR` Waray
    `WAS` Washo
    `WEL` Welsh
    `WEN` Sorbian languages
    `WLN` Walloon
    `WOL` Wolof
    `XAL` Kalmyk; Oirat
    `XHO` Xhosa
    `YAO` Yao
    `YAP` Yapese
    `YID` Yiddish
    `YOR` Yoruba
    `YPK` Yupik languages
    `ZAP` Zapotec
    `ZBL` Blissymbols; Blissymbolics; Bliss
    `ZEN` Zenaga
    `ZHA` Zhuang; Chuang
    `ZHO` Chinese
    `ZND` Zande languages
    `ZUL` Zulu
    `ZUN` Zuni
    `ZXX` No linguistic content; Not applicable
    `ZZA` Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` gets the ISO-639-2 language code.
    `byte[]` | `getCodeBytes()` gets the three character ISO-639-2 language code as an array of bytes, using 1 byte for each character.
    `static Language` | `getLanguage(java.lang.String code)` converts a three character String language code value to its corresponding ISO-639-2 language enum.
    `java.lang.String` | `getName()` gets the name of the ISO-639-2 language.
    `java.lang.String` | `toString()` gets a string representation of the ISO-639-2 language enum.
    `static Language` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Language[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AAR

          public static final Language AAR

      Afar

    - #### ABK

          public static final Language ABK

      Abkhazian

    - #### ACE

          public static final Language ACE

      Achinese

    - #### ACH

          public static final Language ACH

      Acoli

    - #### ADA

          public static final Language ADA

      Adangme

    - #### ADY

          public static final Language ADY

      Adyghe; Adygei

    - #### AFA

          public static final Language AFA

      Afro-Asiatic languages

    - #### AFH

          public static final Language AFH

      Afrihili

    - #### AFR

          public static final Language AFR

      Afrikaans

    - #### AIN

          public static final Language AIN

      Ainu

    - #### AKA

          public static final Language AKA

      Akan

    - #### AKK

          public static final Language AKK

      Akkadian

    - #### ALB

          public static final Language ALB

      Albanian

    - #### ALE

          public static final Language ALE

      Aleut

    - #### ALG

          public static final Language ALG

      Algonquian languages

    - #### ALT

          public static final Language ALT

      Southern Altai

    - #### AMH

          public static final Language AMH

      Amharic

    - #### ANG

          public static final Language ANG

      English, Old (ca.450-1100)

    - #### ANP

          public static final Language ANP

      Angika

    - #### APA

          public static final Language APA

      Apache languages

    - #### ARA

          public static final Language ARA

      Arabic

    - #### ARC

          public static final Language ARC

      Official Aramaic (700-300 BCE Imperial Aramaic (700-300 BCE)

    - #### ARG

          public static final Language ARG

      Aragonese

    - #### ARM

          public static final Language ARM

      Armenian

    - #### ARN

          public static final Language ARN

      Mapudungun; Mapuche

    - #### ARP

          public static final Language ARP

      Arapaho

    - #### ART

          public static final Language ART

      Artificial languages

    - #### ARW

          public static final Language ARW

      Arawak

    - #### ASM

          public static final Language ASM

      Assamese

    - #### AST

          public static final Language AST

      Asturian; Bable; Leonese; Asturleonese

    - #### ATH

          public static final Language ATH

      Athapascan languages

    - #### AUS

          public static final Language AUS

      Australian languages

    - #### AVA

          public static final Language AVA

      Avaric

    - #### AVE

          public static final Language AVE

      Avestan

    - #### AWA

          public static final Language AWA

      Awadhi

    - #### AYM

          public static final Language AYM

      Aymara

    - #### AZE

          public static final Language AZE

      Azerbaijani

    - #### BAD

          public static final Language BAD

      Banda languages

    - #### BAI

          public static final Language BAI

      Bamileke languages

    - #### BAK

          public static final Language BAK

      Bashkir

    - #### BAL

          public static final Language BAL

      Baluchi

    - #### BAM

          public static final Language BAM

      Bambara

    - #### BAN

          public static final Language BAN

      Balinese

    - #### BAQ

          public static final Language BAQ

      Basque

    - #### BAS

          public static final Language BAS

      Basa

    - #### BAT

          public static final Language BAT

      Baltic languages

    - #### BEJ

          public static final Language BEJ

      Beja; Bedawiyet

    - #### BEL

          public static final Language BEL

      Belarusian

    - #### BEM

          public static final Language BEM

      Bemba

    - #### BEN

          public static final Language BEN

      Bengali

    - #### BER

          public static final Language BER

      Berber languages

    - #### BHO

          public static final Language BHO

      Bhojpuri

    - #### BIH

          public static final Language BIH

      Bihari languages

    - #### BIK

          public static final Language BIK

      Bikol

    - #### BIN

          public static final Language BIN

      Bini; Edo

    - #### BIS

          public static final Language BIS

      Bislama

    - #### BLA

          public static final Language BLA

      Siksika

    - #### BNT

          public static final Language BNT

      Bantu languages

    - #### BOD

          public static final Language BOD

      Tibetan

    - #### BOS

          public static final Language BOS

      Bosnian

    - #### BRA

          public static final Language BRA

      Braj

    - #### BRE

          public static final Language BRE

      Breton

    - #### BTK

          public static final Language BTK

      Batak languages

    - #### BUA

          public static final Language BUA

      Buriat

    - #### BUG

          public static final Language BUG

      Buginese

    - #### BUL

          public static final Language BUL

      Bulgarian

    - #### BUR

          public static final Language BUR

      Burmese

    - #### BYN

          public static final Language BYN

      Blin; Bilin

    - #### CAD

          public static final Language CAD

      Caddo

    - #### CAI

          public static final Language CAI

      Central American Indian languages

    - #### CAR

          public static final Language CAR

      Galibi Carib

    - #### CAT

          public static final Language CAT

      Catalan; Valencian

    - #### CAU

          public static final Language CAU

      Caucasian languages

    - #### CEB

          public static final Language CEB

      Cebuano

    - #### CEL

          public static final Language CEL

      Celtic languages

    - #### CES

          public static final Language CES

      Czech

    - #### CHA

          public static final Language CHA

      Chamorro

    - #### CHB

          public static final Language CHB

      Chibcha

    - #### CHE

          public static final Language CHE

      Chechen

    - #### CHG

          public static final Language CHG

      Chagatai

    - #### CHI

          public static final Language CHI

      Chinese

    - #### CHK

          public static final Language CHK

      Chuukese

    - #### CHM

          public static final Language CHM

      Mari

    - #### CHN

          public static final Language CHN

      Chinook jargon

    - #### CHO

          public static final Language CHO

      Choctaw

    - #### CHP

          public static final Language CHP

      Chipewyan; Dene Suline

    - #### CHR

          public static final Language CHR

      Cherokee

    - #### CHU

          public static final Language CHU

      Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic

    - #### CHV

          public static final Language CHV

      Chuvash

    - #### CHY

          public static final Language CHY

      Cheyenne

    - #### CMC

          public static final Language CMC

      Chamic languages

    - #### COP

          public static final Language COP

      Coptic

    - #### COR

          public static final Language COR

      Cornish

    - #### COS

          public static final Language COS

      Corsican

    - #### CPE

          public static final Language CPE

      Creoles and pidgins, English based

    - #### CPF

          public static final Language CPF

      Creoles and pidgins, French-based

    - #### CPP

          public static final Language CPP

      Creoles and pidgins, Portuguese-based

    - #### CRE

          public static final Language CRE

      Cree

    - #### CRH

          public static final Language CRH

      Crimean Tatar; Crimean Turkish

    - #### CRP

          public static final Language CRP

      Creoles and pidgins

    - #### CSB

          public static final Language CSB

      Kashubian

    - #### CUS

          public static final Language CUS

      Cushitic languages

    - #### CYM

          public static final Language CYM

      Welsh

    - #### CZE

          public static final Language CZE

      Czech

    - #### DAK

          public static final Language DAK

      Dakota

    - #### DAN

          public static final Language DAN

      Danish

    - #### DAR

          public static final Language DAR

      Dargwa

    - #### DAY

          public static final Language DAY

      Land Dayak languages

    - #### DEL

          public static final Language DEL

      Delaware

    - #### DEN

          public static final Language DEN

      Slave (Athapascan)

    - #### DEU

          public static final Language DEU

      German

    - #### DGR

          public static final Language DGR

      Dogrib

    - #### DIN

          public static final Language DIN

      Dinka

    - #### DIV

          public static final Language DIV

      Divehi; Dhivehi; Maldivian

    - #### DOI

          public static final Language DOI

      Dogri

    - #### DRA

          public static final Language DRA

      Dravidian languages

    - #### DSB

          public static final Language DSB

      Lower Sorbian

    - #### DUA

          public static final Language DUA

      Duala

    - #### DUM

          public static final Language DUM

      Dutch, Middle (ca.1050-1350)

    - #### DUT

          public static final Language DUT

      Dutch; Flemish

    - #### DYU

          public static final Language DYU

      Dyula

    - #### DZO

          public static final Language DZO

      Dzongkha

    - #### EFI

          public static final Language EFI

      Efik

    - #### EGY

          public static final Language EGY

      Egyptian (Ancient)

    - #### EKA

          public static final Language EKA

      Ekajuk

    - #### ELL

          public static final Language ELL

      Greek, Modern (1453-)

    - #### ELX

          public static final Language ELX

      Elamite

    - #### ENG

          public static final Language ENG

      English

    - #### ENM

          public static final Language ENM

      English, Middle (1100-1500)

    - #### EPO

          public static final Language EPO

      Esperanto

    - #### ESL

          public static final Language ESL

      Spanish - obsolete

    - #### EST

          public static final Language EST

      Estonian

    - #### EUS

          public static final Language EUS

      Basque

    - #### EWE

          public static final Language EWE

      Ewe

    - #### EWO

          public static final Language EWO

      Ewondo

    - #### FAN

          public static final Language FAN

      Fang

    - #### FAO

          public static final Language FAO

      Faroese

    - #### FAS

          public static final Language FAS

      Persian

    - #### FAT

          public static final Language FAT

      Fanti

    - #### FIJ

          public static final Language FIJ

      Fijian

    - #### FIL

          public static final Language FIL

      Filipino; Pilipino

    - #### FIN

          public static final Language FIN

      Finnish

    - #### FIU

          public static final Language FIU

      Finno-Ugrian languages

    - #### FON

          public static final Language FON

      Fon

    - #### FRA

          public static final Language FRA

      French

    - #### FRE

          public static final Language FRE

      French

    - #### FRM

          public static final Language FRM

      French, Middle (ca.1400-1600)

    - #### FRO

          public static final Language FRO

      French, Old (842-ca.1400)

    - #### FRR

          public static final Language FRR

      Northern Frisian

    - #### FRS

          public static final Language FRS

      Eastern Frisian

    - #### FRY

          public static final Language FRY

      Western Frisian

    - #### FUL

          public static final Language FUL

      Fulah

    - #### FUR

          public static final Language FUR

      Friulian

    - #### GAA

          public static final Language GAA

      Ga

    - #### GAY

          public static final Language GAY

      Gayo

    - #### GBA

          public static final Language GBA

      Gbaya

    - #### GEM

          public static final Language GEM

      Germanic languages

    - #### GEO

          public static final Language GEO

      Georgian

    - #### GER

          public static final Language GER

      German

    - #### GEZ

          public static final Language GEZ

      Geez

    - #### GIL

          public static final Language GIL

      Gilbertese

    - #### GLA

          public static final Language GLA

      Gaelic; Scottish Gaelic

    - #### GLE

          public static final Language GLE

      Irish

    - #### GLG

          public static final Language GLG

      Galician

    - #### GLV

          public static final Language GLV

      Manx

    - #### GMH

          public static final Language GMH

      German, Middle High (ca.1050-1500)

    - #### GOH

          public static final Language GOH

      German, Old High (ca.750-1050)

    - #### GON

          public static final Language GON

      Gondi

    - #### GOR

          public static final Language GOR

      Gorontalo

    - #### GOT

          public static final Language GOT

      Gothic

    - #### GRB

          public static final Language GRB

      Grebo

    - #### GRC

          public static final Language GRC

      Greek, Ancient (to 1453)

    - #### GRE

          public static final Language GRE

      Greek, Modern (1453-)

    - #### GRN

          public static final Language GRN

      Guarani

    - #### GSW

          public static final Language GSW

      Swiss German; Alemannic; Alsatian

    - #### GUJ

          public static final Language GUJ

      Gujarati

    - #### GWI

          public static final Language GWI

      Gwich'in

    - #### HAI

          public static final Language HAI

      Haida

    - #### HAT

          public static final Language HAT

      Haitian; Haitian Creole

    - #### HAU

          public static final Language HAU

      Hausa

    - #### HAW

          public static final Language HAW

      Hawaiian

    - #### HEB

          public static final Language HEB

      Hebrew

    - #### HER

          public static final Language HER

      Herero

    - #### HIL

          public static final Language HIL

      Hiligaynon

    - #### HIM

          public static final Language HIM

      Himachali languages; Western Pahari languages

    - #### HIN

          public static final Language HIN

      Hindi

    - #### HIT

          public static final Language HIT

      Hittite

    - #### HMN

          public static final Language HMN

      Hmong; Mong

    - #### HMO

          public static final Language HMO

      Hiri Motu

    - #### HRV

          public static final Language HRV

      Croatian

    - #### HSB

          public static final Language HSB

      Upper Sorbian

    - #### HUN

          public static final Language HUN

      Hungarian

    - #### HUP

          public static final Language HUP

      Hupa

    - #### HYE

          public static final Language HYE

      Armenian

    - #### IBA

          public static final Language IBA

      Iban

    - #### IBO

          public static final Language IBO

      Igbo

    - #### ICE

          public static final Language ICE

      Icelandic

    - #### IDO

          public static final Language IDO

      Ido

    - #### III

          public static final Language III

      Sichuan Yi; Nuosu

    - #### IJO

          public static final Language IJO

      Ijo languages

    - #### IKU

          public static final Language IKU

      Inuktitut

    - #### ILE

          public static final Language ILE

      Interlingue; Occidental

    - #### ILO

          public static final Language ILO

      Iloko

    - #### INA

          public static final Language INA

      Interlingua (International Auxiliary Language Association)

    - #### INC

          public static final Language INC

      Indic languages

    - #### IND

          public static final Language IND

      Indonesian

    - #### INE

          public static final Language INE

      Indo-European languages

    - #### INH

          public static final Language INH

      Ingush

    - #### IPK

          public static final Language IPK

      Inupiaq

    - #### IRA

          public static final Language IRA

      Iranian languages

    - #### IRO

          public static final Language IRO

      Iroquoian languages

    - #### ISL

          public static final Language ISL

      Icelandic

    - #### ITA

          public static final Language ITA

      Italian

    - #### JAV

          public static final Language JAV

      Javanese

    - #### JBO

          public static final Language JBO

      Lojban

    - #### JPN

          public static final Language JPN

      Japanese

    - #### JPR

          public static final Language JPR

      Judeo-Persian

    - #### JRB

          public static final Language JRB

      Judeo-Arabic

    - #### KAA

          public static final Language KAA

      Kara-Kalpak

    - #### KAB

          public static final Language KAB

      Kabyle

    - #### KAC

          public static final Language KAC

      Kachin; Jingpho

    - #### KAL

          public static final Language KAL

      Kalaallisut; Greenlandic

    - #### KAM

          public static final Language KAM

      Kamba

    - #### KAN

          public static final Language KAN

      Kannada

    - #### KAR

          public static final Language KAR

      Karen languages

    - #### KAS

          public static final Language KAS

      Kashmiri

    - #### KAT

          public static final Language KAT

      Georgian

    - #### KAU

          public static final Language KAU

      Kanuri

    - #### KAW

          public static final Language KAW

      Kawi

    - #### KAZ

          public static final Language KAZ

      Kazakh

    - #### KBD

          public static final Language KBD

      Kabardian

    - #### KHA

          public static final Language KHA

      Khasi

    - #### KHI

          public static final Language KHI

      Khoisan languages

    - #### KHM

          public static final Language KHM

      Central Khmer

    - #### KHO

          public static final Language KHO

      Khotanese; Sakan

    - #### KIK

          public static final Language KIK

      Kikuyu; Gikuyu

    - #### KIN

          public static final Language KIN

      Kinyarwanda

    - #### KIR

          public static final Language KIR

      Kirghiz; Kyrgyz

    - #### KMB

          public static final Language KMB

      Kimbundu

    - #### KOK

          public static final Language KOK

      Konkani

    - #### KOM

          public static final Language KOM

      Komi

    - #### KON

          public static final Language KON

      Kongo

    - #### KOR

          public static final Language KOR

      Korean

    - #### KOS

          public static final Language KOS

      Kosraean

    - #### KPE

          public static final Language KPE

      Kpelle

    - #### KRC

          public static final Language KRC

      Karachay-Balkar

    - #### KRL

          public static final Language KRL

      Karelian

    - #### KRO

          public static final Language KRO

      Kru languages

    - #### KRU

          public static final Language KRU

      Kurukh

    - #### KUA

          public static final Language KUA

      Kuanyama; Kwanyama

    - #### KUM

          public static final Language KUM

      Kumyk

    - #### KUR

          public static final Language KUR

      Kurdish

    - #### KUT

          public static final Language KUT

      Kutenai

    - #### LAD

          public static final Language LAD

      Ladino

    - #### LAH

          public static final Language LAH

      Lahnda

    - #### LAM

          public static final Language LAM

      Lamba

    - #### LAO

          public static final Language LAO

      Lao

    - #### LAT

          public static final Language LAT

      Latin

    - #### LAV

          public static final Language LAV

      Latvian

    - #### LEZ

          public static final Language LEZ

      Lezghian

    - #### LIM

          public static final Language LIM

      Limburgan; Limburger; Limburgish

    - #### LIN

          public static final Language LIN

      Lingala

    - #### LIT

          public static final Language LIT

      Lithuanian

    - #### LOL

          public static final Language LOL

      Mongo

    - #### LOZ

          public static final Language LOZ

      Lozi

    - #### LTZ

          public static final Language LTZ

      Luxembourgish; Letzeburgesch

    - #### LUA

          public static final Language LUA

      Luba-Lulua

    - #### LUB

          public static final Language LUB

      Luba-Katanga

    - #### LUG

          public static final Language LUG

      Ganda

    - #### LUI

          public static final Language LUI

      Luiseno

    - #### LUN

          public static final Language LUN

      Lunda lunda

    - #### LUO

          public static final Language LUO

      Luo (Kenya and Tanzania)

    - #### LUS

          public static final Language LUS

      Lushai

    - #### MAC

          public static final Language MAC

      Macedonian

    - #### MAD

          public static final Language MAD

      Madurese

    - #### MAG

          public static final Language MAG

      Magahi

    - #### MAH

          public static final Language MAH

      Marshallese

    - #### MAI

          public static final Language MAI

      Maithili

    - #### MAK

          public static final Language MAK

      Makasar

    - #### MAL

          public static final Language MAL

      Malayalam

    - #### MAN

          public static final Language MAN

      Mandingo

    - #### MAO

          public static final Language MAO

      Maori

    - #### MAP

          public static final Language MAP

      Austronesian languages

    - #### MAR

          public static final Language MAR

      Marathi

    - #### MAS

          public static final Language MAS

      Masai

    - #### MAY

          public static final Language MAY

      Malay

    - #### MDF

          public static final Language MDF

      Moksha

    - #### MDR

          public static final Language MDR

      Mandar

    - #### MEN

          public static final Language MEN

      Mende

    - #### MGA

          public static final Language MGA

      Irish, Middle (900-1200)

    - #### MIC

          public static final Language MIC

      Mi'kmaq; Micmac

    - #### MIN

          public static final Language MIN

      Minangkabau

    - #### MIS

          public static final Language MIS

      Uncoded languages

    - #### MKD

          public static final Language MKD

      Macedonian

    - #### MKH

          public static final Language MKH

      Mon-Khmer languages

    - #### MLG

          public static final Language MLG

      Malagasy

    - #### MLT

          public static final Language MLT

      Maltese

    - #### MNC

          public static final Language MNC

      Manchu

    - #### MNI

          public static final Language MNI

      Manipuri

    - #### MNO

          public static final Language MNO

      Manobo languages

    - #### MOH

          public static final Language MOH

      Mohawk

    - #### MON

          public static final Language MON

      Mongolian

    - #### MOS

          public static final Language MOS

      Mossi

    - #### MRI

          public static final Language MRI

      Maori

    - #### MSA

          public static final Language MSA

      Malay

    - #### MUL

          public static final Language MUL

      Multiple languages

    - #### MUN

          public static final Language MUN

      Munda languages

    - #### MUS

          public static final Language MUS

      Creek

    - #### MWL

          public static final Language MWL

      Mirandese

    - #### MWR

          public static final Language MWR

      Marwari

    - #### MYA

          public static final Language MYA

      Burmese

    - #### MYN

          public static final Language MYN

      Mayan languages

    - #### MYV

          public static final Language MYV

      Erzya

    - #### NAH

          public static final Language NAH

      Nahuatl languages

    - #### NAI

          public static final Language NAI

      North American Indian languages

    - #### NAP

          public static final Language NAP

      Neapolitan

    - #### NAU

          public static final Language NAU

      Nauru

    - #### NAV

          public static final Language NAV

      Navajo; Navaho

    - #### NBL

          public static final Language NBL

      Ndebele, South; South Ndebele

    - #### NDE

          public static final Language NDE

      Ndebele, North; North Ndebele

    - #### NDO

          public static final Language NDO

      Ndonga

    - #### NDS

          public static final Language NDS

      Low German; Low Saxon; German, Low; Saxon, Low

    - #### NEP

          public static final Language NEP

      Nepali

    - #### NEW

          public static final Language NEW

      Nepal Bhasa; Newari

    - #### NIA

          public static final Language NIA

      Nias

    - #### NIC

          public static final Language NIC

      Niger-Kordofanian languages

    - #### NIU

          public static final Language NIU

      Niuean

    - #### NLD

          public static final Language NLD

      Dutch; Flemish

    - #### NNO

          public static final Language NNO

      Norwegian Nynorsk; Nynorsk, Norwegian

    - #### NOB

          public static final Language NOB

      Bokmål, Norwegian; Norwegian Bokmål

    - #### NOG

          public static final Language NOG

      Nogai

    - #### NON

          public static final Language NON

      Norse, Old

    - #### NOR

          public static final Language NOR

      Norwegian

    - #### NQO

          public static final Language NQO

      N'Ko

    - #### NSO

          public static final Language NSO

      Pedi; Sepedi; Northern Sotho

    - #### NUB

          public static final Language NUB

      Nubian languages

    - #### NWC

          public static final Language NWC

      Classical Newari; Old Newari; Classical Nepal Bhasa

    - #### NYA

          public static final Language NYA

      Chichewa; Chewa; Nyanja

    - #### NYM

          public static final Language NYM

      Nyamwezi

    - #### NYN

          public static final Language NYN

      Nyankole

    - #### NYO

          public static final Language NYO

      Nyoro

    - #### NZI

          public static final Language NZI

      Nzima

    - #### OCI

          public static final Language OCI

      Occitan (post 1500)

    - #### OJI

          public static final Language OJI

      Ojibwa

    - #### ORI

          public static final Language ORI

      Oriya

    - #### ORM

          public static final Language ORM

      Oromo

    - #### OSA

          public static final Language OSA

      Osage

    - #### OSS

          public static final Language OSS

      Ossetian; Ossetic

    - #### OTA

          public static final Language OTA

      Turkish, Ottoman (1500-1928)

    - #### OTO

          public static final Language OTO

      Otomian languages

    - #### PAA

          public static final Language PAA

      Papuan languages

    - #### PAG

          public static final Language PAG

      Pangasinan

    - #### PAL

          public static final Language PAL

      Pahlavi

    - #### PAM

          public static final Language PAM

      Pampanga; Kapampangan

    - #### PAN

          public static final Language PAN

      Panjabi; Punjabi

    - #### PAP

          public static final Language PAP

      Papiamento

    - #### PAU

          public static final Language PAU

      Palauan

    - #### PEO

          public static final Language PEO

      Persian, Old (ca.600-400 B.C.)

    - #### PER

          public static final Language PER

      Persian

    - #### PHI

          public static final Language PHI

      Philippine languages

    - #### PHN

          public static final Language PHN

      Phoenician

    - #### PLI

          public static final Language PLI

      Pali

    - #### POL

          public static final Language POL

      Polish

    - #### PON

          public static final Language PON

      Pohnpeian

    - #### POR

          public static final Language POR

      Portuguese

    - #### PRA

          public static final Language PRA

      Prakrit languages

    - #### PRO

          public static final Language PRO

      Provençal, Old (to 1500Occitan, Old (to 1500)

    - #### PUS

          public static final Language PUS

      Pushto; Pashto

    - #### QUE

          public static final Language QUE

      Quechua

    - #### RAJ

          public static final Language RAJ

      Rajasthani

    - #### RAP

          public static final Language RAP

      Rapanui

    - #### RAR

          public static final Language RAR

      Rarotongan; Cook Islands Maori

    - #### ROA

          public static final Language ROA

      Romance languages

    - #### ROH

          public static final Language ROH

      Romansh

    - #### ROM

          public static final Language ROM

      Romany

    - #### RON

          public static final Language RON

      Romanian; Moldavian; Moldovan

    - #### RUM

          public static final Language RUM

      Romanian; Moldavian; Moldovan

    - #### RUN

          public static final Language RUN

      Rundi

    - #### RUP

          public static final Language RUP

      Aromanian; Arumanian; Macedo-Romanian

    - #### RUS

          public static final Language RUS

      Russian

    - #### SAD

          public static final Language SAD

      Sandawe

    - #### SAG

          public static final Language SAG

      Sango

    - #### SAH

          public static final Language SAH

      Yakut

    - #### SAI

          public static final Language SAI

      South American Indian languages

    - #### SAL

          public static final Language SAL

      Salishan languages

    - #### SAM

          public static final Language SAM

      Samaritan Aramaic

    - #### SAN

          public static final Language SAN

      Sanskrit

    - #### SAS

          public static final Language SAS

      Sasak

    - #### SAT

          public static final Language SAT

      Santali

    - #### SCN

          public static final Language SCN

      Sicilian

    - #### SCO

          public static final Language SCO

      Scots

    - #### SEL

          public static final Language SEL

      Selkup

    - #### SEM

          public static final Language SEM

      Semitic languages

    - #### SGA

          public static final Language SGA

      Irish, Old (to 900)

    - #### SGN

          public static final Language SGN

      Sign Languages

    - #### SHN

          public static final Language SHN

      Shan

    - #### SID

          public static final Language SID

      Sidamo

    - #### SIN

          public static final Language SIN

      Sinhala; Sinhalese

    - #### SIO

          public static final Language SIO

      Siouan languages

    - #### SIT

          public static final Language SIT

      Sino-Tibetan languages

    - #### SLA

          public static final Language SLA

      Slavic languages

    - #### SLK

          public static final Language SLK

      Slovak

    - #### SLO

          public static final Language SLO

      Slovak

    - #### SLV

          public static final Language SLV

      Slovenian

    - #### SMA

          public static final Language SMA

      Southern Sami

    - #### SME

          public static final Language SME

      Northern Sami

    - #### SMI

          public static final Language SMI

      Sami languages

    - #### SMJ

          public static final Language SMJ

      Lule Sami

    - #### SMN

          public static final Language SMN

      Inari Sami

    - #### SMO

          public static final Language SMO

      Samoan

    - #### SMS

          public static final Language SMS

      Skolt Sami

    - #### SNA

          public static final Language SNA

      Shona

    - #### SND

          public static final Language SND

      Sindhi

    - #### SNK

          public static final Language SNK

      Soninke

    - #### SOG

          public static final Language SOG

      Sogdian

    - #### SOM

          public static final Language SOM

      Somali

    - #### SON

          public static final Language SON

      Songhai languages

    - #### SOT

          public static final Language SOT

      Sotho, Southern

    - #### SPA

          public static final Language SPA

      Spanish; Castilian

    - #### SQI

          public static final Language SQI

      Albanian

    - #### SRD

          public static final Language SRD

      Sardinian

    - #### SRN

          public static final Language SRN

      Sranan Tongo

    - #### SRP

          public static final Language SRP

      Serbian

    - #### SRR

          public static final Language SRR

      Serer

    - #### SSA

          public static final Language SSA

      Nilo-Saharan languages

    - #### SSW

          public static final Language SSW

      Swati

    - #### SUK

          public static final Language SUK

      Sukuma

    - #### SUN

          public static final Language SUN

      Sundanese

    - #### SUS

          public static final Language SUS

      Susu

    - #### SUX

          public static final Language SUX

      Sumerian

    - #### SWA

          public static final Language SWA

      Swahili

    - #### SWE

          public static final Language SWE

      Swedish

    - #### SYC

          public static final Language SYC

      Classical Syriac

    - #### SYR

          public static final Language SYR

      Syriac

    - #### TAH

          public static final Language TAH

      Tahitian

    - #### TAI

          public static final Language TAI

      Tai languages

    - #### TAM

          public static final Language TAM

      Tamil

    - #### TAT

          public static final Language TAT

      Tatar

    - #### TEL

          public static final Language TEL

      Telugu

    - #### TEM

          public static final Language TEM

      Timne

    - #### TER

          public static final Language TER

      Tereno

    - #### TET

          public static final Language TET

      Tetum

    - #### TGK

          public static final Language TGK

      Tajik

    - #### TGL

          public static final Language TGL

      Tagalog

    - #### THA

          public static final Language THA

      Thai

    - #### TIB

          public static final Language TIB

      Tibetan

    - #### TIG

          public static final Language TIG

      Tigre

    - #### TIR

          public static final Language TIR

      Tigrinya

    - #### TIV

          public static final Language TIV

      Tiv

    - #### TKL

          public static final Language TKL

      Tokelau

    - #### TLH

          public static final Language TLH

      Klingon; tlhIngan-Hol

    - #### TLI

          public static final Language TLI

      Tlingit

    - #### TMH

          public static final Language TMH

      Tamashek

    - #### TOG

          public static final Language TOG

      Tonga (Nyasa)

    - #### TON

          public static final Language TON

      Tonga (Tonga Islands)

    - #### TPI

          public static final Language TPI

      Tok Pisin

    - #### TSI

          public static final Language TSI

      Tsimshian

    - #### TSN

          public static final Language TSN

      Tswana

    - #### TSO

          public static final Language TSO

      Tsonga

    - #### TUK

          public static final Language TUK

      Turkmen

    - #### TUM

          public static final Language TUM

      Tumbuka

    - #### TUP

          public static final Language TUP

      Tupi languages

    - #### TUR

          public static final Language TUR

      Turkish

    - #### TUT

          public static final Language TUT

      Altaic languages

    - #### TVL

          public static final Language TVL

      Tuvalu

    - #### TWI

          public static final Language TWI

      Twi

    - #### TYV

          public static final Language TYV

      Tuvinian

    - #### UDM

          public static final Language UDM

      Udmurt

    - #### UGA

          public static final Language UGA

      Ugaritic

    - #### UIG

          public static final Language UIG

      Uighur; Uyghur

    - #### UKR

          public static final Language UKR

      Ukrainian

    - #### UMB

          public static final Language UMB

      Umbundu

    - #### UND

          public static final Language UND

      Undetermined

    - #### URD

          public static final Language URD

      Urdu

    - #### UZB

          public static final Language UZB

      Uzbek

    - #### VAI

          public static final Language VAI

      Vai

    - #### VEN

          public static final Language VEN

      Venda

    - #### VIE

          public static final Language VIE

      Vietnamese

    - #### VOL

          public static final Language VOL

      Volapük

    - #### VOT

          public static final Language VOT

      Votic

    - #### WAK

          public static final Language WAK

      Wakashan languages

    - #### WAL

          public static final Language WAL

      Wolaitta; Wolaytta

    - #### WAR

          public static final Language WAR

      Waray

    - #### WAS

          public static final Language WAS

      Washo

    - #### WEL

          public static final Language WEL

      Welsh

    - #### WEN

          public static final Language WEN

      Sorbian languages

    - #### WLN

          public static final Language WLN

      Walloon

    - #### WOL

          public static final Language WOL

      Wolof

    - #### XAL

          public static final Language XAL

      Kalmyk; Oirat

    - #### XHO

          public static final Language XHO

      Xhosa

    - #### YAO

          public static final Language YAO

      Yao

    - #### YAP

          public static final Language YAP

      Yapese

    - #### YID

          public static final Language YID

      Yiddish

    - #### YOR

          public static final Language YOR

      Yoruba

    - #### YPK

          public static final Language YPK

      Yupik languages

    - #### ZAP

          public static final Language ZAP

      Zapotec

    - #### ZBL

          public static final Language ZBL

      Blissymbols; Blissymbolics; Bliss

    - #### ZEN

          public static final Language ZEN

      Zenaga

    - #### ZHA

          public static final Language ZHA

      Zhuang; Chuang

    - #### ZHO

          public static final Language ZHO

      Chinese

    - #### ZND

          public static final Language ZND

      Zande languages

    - #### ZUL

          public static final Language ZUL

      Zulu

    - #### ZUN

          public static final Language ZUN

      Zuni

    - #### ZXX

          public static final Language ZXX

      No linguistic content; Not applicable

    - #### ZZA

          public static final Language ZZA

      Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

  - ### Method Detail

    - #### values

          public static Language[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Language c : Language.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Language valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

      gets the ISO-639-2 language code.
      Returns:
        the ISO-639-2 language code.

    - #### getCodeBytes

          public byte[] getCodeBytes()

      gets the three character ISO-639-2 language code as an array of bytes, using 1 byte for each character.
      Returns:
        the three character ISO-639-2 language code as an array of bytes.

    - #### getName

          public java.lang.String getName()

      gets the name of the ISO-639-2 language.
      Returns:
        the name of the language.

    - #### getLanguage

          public static Language getLanguage(java.lang.String code)

      converts a three character String language code value to its corresponding ISO-639-2 language enum.
      Parameters:
        `code` - string value of the language code to be converted to an ISO-639-2 language enum.
      Returns:
        an ISO-639-2 language enum corresponding to the string value.
      Throws:
        `java.lang.IllegalArgumentException` - if the string language code is not a valid ISO-639-2 language code.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the ISO-639-2 language enum.
      Overrides:
        `toString` in class `java.lang.Enum<Language>`
      Returns:
        a string representation of the ISO-639-2 language enum.